# doc : https://nginx.org/en/docs/dirindex.html

server {
	listen				443 ssl;										# for ipv4, on port 443, specifying that accepted connections should works in ssl mode
	listen				[::]:443 ssl;									# for ipv6
	server_name			hulamy.42.fr;
	ssl_certificate		/etc/ssl/certs/hulamy.42.fr.crt;				# specifies the file with the ssl certificate (self signed here) generated by openssl
	ssl_certificate_key	/etc/ssl/private/hulamy.42.fr.key;				# specifies the file with the secret key of the certificate

	root /var/www/html/;												# contains default nginx index.nginx-debian.html
	index index.html index.php;											# defines files that will be used as index (https://nginx.org/en/docs/http/ngx_http_index_module.html)

	location / {
		try_files $uri $uri/ =404;										# from /etc/nginx/sites-enabled/default : First attempt to serve request as file, then as directory, then fall back to displaying a 404
		root /data/www/;
	}

	# pass PHP scripts to FastCGI (PHP-FPM) server
	location ~ \.php$ {
		fastcgi_pass	wordpress:9000;

		fastcgi_split_path_info ^(.+\.php)(/.+)$;
		try_files		$uri =404;

		include			fastcgi_params;
		fastcgi_param	SCRIPT_FILENAME $document_root$fastcgi_script_name;

		include			/etc/nginx/fastcgi.conf;
		fastcgi_index	index.php;
	}
}
